<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg"
        src=" ../../assets/images/ot-&-short-hrs-upload-template_black.png">OT & Short Hrs</h2>
<div class="formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="ShortHrsForm">
            <mat-card class="row" *ngFor="let otsh of otshArr.controls; let i = index" [formGroup]="otsh">
                <span class="s-no">{{i+1}}</span>
                <div class="col-sm-6">

                    <mat-form-field appearance="standard">
                        <mat-label>OT/ST Type</mat-label>
                        <mat-select formControlName="otType">
                            <mat-option *ngFor="let type of otstTypes" [value]="type">{{type}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="otsh.controls['otType'].errors?.required &&
                        otsh.controls['otType'].touched">
                            Please Select OT/ST Type.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Date</mat-label>

                        <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="date"
                            required>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                        <mat-error *ngIf="otsh.controls['date'].errors?.required &&
                        otsh.controls['date'].touched">
                            Please Select Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Hours</mat-label>
                        <input matInput type="number" formControlName="hours" maxlength="15" required
                            autocomplete="off" />
                        <mat-error *ngIf="otsh.controls['hours'].errors?.required &&
                        otsh.controls['hours'].touched">
                            Please Enter hours.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Reason</mat-label>
                        <input matInput type="reason" formControlName="reason" required autocomplete="off" />
                        <mat-error *ngIf="otsh.controls['reason'].errors?.required &&
                        otsh.controls['reason'].touched">
                            Please Enter Reason.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="remove-action" *ngIf="!pkNumber">
                    <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeItem(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action" *ngIf="!pkNumber">
                <span><button mat-mini-fab (click)="addItem()">+</button></span> <span class="text-btn">Add</span>
            </div>
            <br>
            <div class="btn-grp">
                <button mat-raised-button *ngIf="pkNumber" class="submit-btn save-btn" [disabled]="!pkNumber" (click)="onCancel()">Reset</button>
                <button type="button" mat-raised-button class="submit-btn" [disabled]="!ShortHrsForm.valid" (click)="onSubmit('save')">Save</button>
                <button mat-raised-button [disabled]="!ShortHrsForm.valid" (click)="onSubmit('submit')" class="submit-btn"> Submit</button>
            </div>

        </form>
    </div>
</div>